pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

security/cyrus-sasl build error

Hi, cyrus-sasl does not build for me anymore on x86_64, something to do
with -fPIC flag? Any ideas how to fix it?

Making all in plugins
gmake[2]: Entering directory
`/opt/pkg.obj/security/cyrus-sasl/work.atom/cyrus-sasl-2.1.25/plugins' /bin/sh 
--mode=link gcc  -Wall -W -O2 -module -export-dynamic
-rpath /opt/pkg/lib/sasl2 -version-info 2:25:0 -Wl,-R/opt/pkg/lib -o  sasldb.lo sasldb_init.lo
plugin_common.lo ../sasldb/   -lresolv libtool: link: gcc
-shared  .libs/sasldb.o .libs/sasldb_init.o .libs/plugin_common.o
-Wl,--whole-archive ../sasldb/.libs/libsasldb.a -Wl,--no-whole-archive
-L/opt/pkg.obj/security/cyrus-sasl/work.atom/.buildlink/lib -lresolv
-Wl,-R/opt/pkg/lib   -Wl,-soname -Wl,
-o .libs/ ld: ../sasldb/.libs/libsasldb.a
(allockey.o): relocation R_X86_64_32 against `.rodata.str1.1' can not
be used when making a shared object; recompile with
-fPIC ../sasldb/.libs/libsasldb.a(allockey.o): could not read symbols:
Bad value gmake[2]: *** [] Error 1 gmake[2]: Leaving
gmake[1]: *** [all-recursive] Error 1 gmake[1]: Leaving directory
`/opt/pkg.obj/security/cyrus-sasl/work.atom/cyrus-sasl-2.1.25' gmake:
*** [all] Error 2 *** Error code 2

make: stopped in /opt/pkgsrc/security/cyrus-sasl
*** Error code 1

Home | Main Index | Thread Index | Old Index